import request from '@/utils/request'

// 查询学生信息列表
export function listStudentinfo(query) {
  return request({
    url: '/laboratory/studentinfo/list',
    method: 'get',
    params: query
  })
}
// 查询学生信息列表 -按审核类型
export function listStudentinfoByAudit(type) {
  return request({
    url: `/laboratory/studentinfo/list/${type}`,
    method: 'get'
  })
}
// 查询学生信息详细
export function getStudentinfo(joinStudentsId) {
  return request({
    url: '/laboratory/studentinfo/' + joinStudentsId,
    method: 'get'
  })
}

// 新增学生信息
export function addStudentinfo(data) {
  return request({
    url: '/laboratory/studentinfo',
    method: 'post',
    data: data
  })
}
// 审核
export function auditStudentinfo(data,f) {
  let v = f==1?'success':'fail'
  return request({
    url: `/laboratory/studentinfo/audit/${v}`,
    method: 'put',
    data: data
  })
}
// 修改学生信息
export function updateStudentinfo(data) {
  return request({
    url: '/laboratory/studentinfo',
    method: 'put',
    data: data
  })
}

// 删除学生信息
export function delStudentinfo(joinStudentsId) {
  return request({
    url: '/laboratory/studentinfo/' + joinStudentsId,
    method: 'delete'
  })
}
